#!/bin/sh -e
#
# truncate.pl
#
# Volker Kuhlmann
#   24 Jun; 6 Aug 2003
#

if [ $# -lt 2 ]; then
    echo "
Usage: `basename $0` FILE BYTES
Usage: `basename $0` FILE BLOCKSIZE BLOCKS

Truncate, or enlarge/create, FILE to BYTES.
Creates sparse files if the filesystem supports it.
"
    exit 2
fi

bytes="$2"
test -n "$3" && bytes="`expr "$2" \* "$3"`"

touch "$1"
perl -e "truncate \"$1\", $bytes"
